Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.jdbc
Enum JoinSyntax

    java.lang.Object
      java.lang.Enum<JoinSyntax>
          org.apache.openjpa.persistence.jdbc.JoinSyntax

All Implemented Interfaces:
  Serializable, Comparable<JoinSyntax>

    public enum JoinSyntax

extends Enum<JoinSyntax>

Type of join syntax to use.

Since:
  1.0.0

Enum Constant Summary
`DATABASE`
`SQL92`
`TRADITIONAL`

Method Summary
`(package private) static JoinSyntax` | `fromKernelConstant(int kernelConstant)`
`(package private) int` | `toKernelConstant()`
`static JoinSyntax` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JoinSyntax[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SQL92

    public static final JoinSyntax SQL92

### TRADITIONAL

    public static final JoinSyntax TRADITIONAL

### DATABASE

    public static final JoinSyntax DATABASE

Method Detail

### values

    public static JoinSyntax[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JoinSyntax c : JoinSyntax.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JoinSyntax valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toKernelConstant

    int toKernelConstant()

### fromKernelConstant

    static JoinSyntax fromKernelConstant(int kernelConstant)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.